/*
Dual: a simple manager for custom hostnames

Copyright (C) 2021 luca0N!

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.

Contact me by e-mail via <luca0n [at] luca0n [dot] com>.
*/

package com.luca0n.dual.config;

import java.util.List;
import java.util.Map;
import java.util.HashMap;

/**
 * @since 2021-03-21
 */
public class Config {
	List<Namespace> namespaces;
	protected Config(List<Namespace> namespaces){
		this.namespaces = namespaces;
	}

	public Namespace getNamespace(String name){
		for (Namespace n : namespaces)
			if (n.getName().equals(name))
				return n;
		return null;
	}

	public static class Namespace {
		private Map<String, String> entries;
		private String name;
		protected Namespace(String name){
			this.name = name;
			this.entries = new HashMap<>();
		}
		protected Namespace(String name, Map<String, String> entries){
			this.name = name;
			this.entries = entries;
		}
		protected void putEntry(String k, String v){
			entries.put(k, v);
		}
		public String getValue(String key){
			return entries.get(key);
		}
		public String getName(){
			return name;
		}
	}
}
